Bug 189234 - [em] Big lag with Ethernet Connection I217-V
Summary: [em] Big lag with Ethernet Connection I217-V
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2014-05-02 14:30 UTC by Cedric
Modified: 2018-05-28 19:44 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cedric 2014-05-02 14:30:00 UTC
Pciconf : 
em0@pci0:0:25:0:        class=0x020000 card=0xe0001458 chip=0x153b8086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Connection I217-V'
    class      = network
    subclass   = ethernet

Network lag when using this interface with ssh. SMB share are unusable on this nic.
Quick network trace reveal a lot of DUP ack and retransmit.

With a re0 nic, system go well.

How-To-Repeat: Use a I217-V chipset as nic and do some ssh keying or use samba.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-05-03 03:37:06 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Sean Bruno freebsd_committer 2015-06-30 16:45:22 UTC
I see this on my laptop prior to the watchdog improvements to em(4) in current and 10/stable.  Can you retest?
Comment 3 Damien 2015-09-13 11:50:22 UTC
I second this.  I have tested this NIC with pinging and find that it is dropping packets when running in 100M full and half duplex.  Variety of em-related settings have been tried to no avail.  I will follow up with a lag report for when running with no packet loss (1000M).
Comment 4 Damien 2015-09-13 12:11:32 UTC
(In reply to Damien from comment #3)
I can confirm that when the NIC is running at 1000M Full-Duplex, ssh shows no lag unlike that exhibited at 100M.  On this exact same machine, Linux runs the NIC at 100M with no degradation in performance/lost packets.  Suggest that this is an issue with the em driver itself.  I have validated this against FreeBSD 10.2 and 11 (CURRENT).
Comment 5 Eric Joyner freebsd_committer 2015-09-13 13:16:32 UTC
(In reply to Sean Bruno from comment #2)

Sean, there's supposed to be a fix in the i219/Skylake support patch that always disables TSO at non-1G speeds. Would that help in this case?
Comment 6 Sean Bruno freebsd_committer 2015-09-13 15:47:34 UTC
(In reply to Eric Joyner from comment #5)
I can totally test this out, however I don't think the original bug report had anything to do with gigabit vs 100mbit.
Comment 7 Eric Joyner freebsd_committer 2015-09-13 15:53:17 UTC
(In reply to Sean Bruno from comment #6)

Oh yeah, I didn't notice Damien wasn't the OP. It'd be nice to get more info from cg.
Comment 8 Damien 2015-09-14 12:12:19 UTC
I will clarify:

I had the same ssh login and input lag.  I also noticed some NFS lag.  I investigated and found some lost packets (around 20%).  I connected the FreeBSD box directly to another that supports 1Gbps as opposed to the 100Mbps router that it was connected to.  I noticed that there were no dropped packets.  I then set the NIC to 100Mbps and began to see packet loss again as it was with the router setup before.

I added these comments because my troubleshooting may assist in identifying that there is a problem with the em driver.  I have confirmed this by downloading, compiling, and testing the latest em driver from Intel.

I am hoping that the networking team can investigate lost packets at 100 Mbps for the I217-V NIC and replicate the above troubleshooting steps, and hopefully get a resolution rather than the workaround that I have presently implemented.
Comment 9 Jeff Pieper 2015-09-14 15:05:34 UTC
(In reply to Damien from comment #8)

Damien,

We are currently investigating this and hope to have a fix soon.
Comment 10 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:44:10 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.